# X880_ReturnResult_result Class Reference

`#include <x880.h>`

Inheritance diagram for X880_ReturnResult_result:

List of all members.

## Public Member Functions

| X880_ReturnResult_result (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

X880_Code | m_opcode
PASN_OctetString | m_result

## Constructor & Destructor Documentation

X880_ReturnResult_result::X880_ReturnResult_result | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX X880_ReturnResult_result::GetDataLength | ( |  | ) | const

PBoolean X880_ReturnResult_result::Decode | ( | PASN_Stream & | strm | ) |

void X880_ReturnResult_result::Encode | ( | PASN_Stream & | strm | ) | const

void X880_ReturnResult_result::PrintOn | ( | ostream & | strm | ) | const

Comparison X880_ReturnResult_result::Compare | ( | const PObject & | obj | ) | const

PObject* X880_ReturnResult_result::Clone | ( |  | ) | const

## Member Data Documentation

X880_Code X880_ReturnResult_result::m_opcode

PASN_OctetString X880_ReturnResult_result::m_result

The documentation for this class was generated from the following file:

- x880.h